#ifndef __duration_h
#define __duration_h
#include <string>
#include <cstdint>
namespace Time {
	class Duration {
		public:
			Duration(int64_t l);
			int64_t InSeconds();
			int64_t InMinutes();
			int64_t InHours();
			int64_t InDays();
			std::string AsRelativeString();

		private:
			int64_t length;
	};
	int64_t GetSystemTime();
};
#endif // __duration_h